Subject: bug#49077: 26.3; conf-mode for Java properties files uses incorrect comment syntax

From: Spencer Nelson <[email-masked]>
Date: Thu, 17 Jun 2021 10:10:19 -0700

I noticed today that conf-mode.el's derived mode, conf-javaprop-mode,
isn't configured correctly for Java properties files.

The documenting comment for conf-javaprop-mode says this:

"Conf Mode starter for Java properties files.
Comments start with `#' but are also recognized with `//' or
between `/*' and `*/'.
For details see `conf-mode'.  Example:

# Conf mode font-locks this right with \\[conf-javaprop-mode] (Java properties)
// another kind of comment
/* yet another */

But // and /* don't start comments in Java properties files. Java
properties files just have single-line comments starting with #.
Somewhat obscurely, comments can also start with !.

I'm up for submitting a patch to fix this, but it would be my first
contribution to emacs, and I'm a bit intimidated, so I want to check
whether it's reasonable to fix first.